--- old/usr/src/uts/common/io/scsi/targets/sd.c	sam. juil. 16 15:17:26 2016
+++ new/usr/src/uts/common/io/scsi/targets/sd.c	sam. juil. 16 15:17:26 2016
@@ -263,7 +263,7 @@
 static uint32_t	sd_xbuf_active_limit	= 512;
 static uint32_t sd_xbuf_reserve_limit	= 16;
 
-static struct sd_resv_reclaim_request	sd_tr = { NULL, NULL, NULL, 0, 0, 0 };
+static struct sd_resv_reclaim_request	sd_tr = { NULL, NULL, NULL, {0} };
 
 /*
  * Timer value used to reset the throttle after it has been reduced
@@ -834,7 +834,7 @@
 #define	VPD_PAGE_LENGTH		3	/* offset for pge length data */
 #define	VPD_MODE_PAGE		1	/* offset into vpd pg for "page code" */
 
-static kmutex_t sd_sense_mutex = {0};
+static kmutex_t sd_sense_mutex = {{NULL}};
 
 /*
  * Macros for updates of the driver state
@@ -1771,7 +1771,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, &modldrv, NULL
+	MODREV_1, { &modldrv, NULL }
 };
 
 #else /* XPV_HVM_DRIVER */
@@ -1781,7 +1781,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, &modlmisc, NULL
+	MODREV_1, { &modlmisc, NULL }
 };
 
 #endif /* XPV_HVM_DRIVER */
@@ -1793,19 +1793,19 @@
 };
 
 static struct scsi_asq_key_strings sd_additional_codes[] = {
-	0x81, 0, "Logical Unit is Reserved",
-	0x85, 0, "Audio Address Not Valid",
-	0xb6, 0, "Media Load Mechanism Failed",
-	0xB9, 0, "Audio Play Operation Aborted",
-	0xbf, 0, "Buffer Overflow for Read All Subcodes Command",
-	0x53, 2, "Medium removal prevented",
-	0x6f, 0, "Authentication failed during key exchange",
-	0x6f, 1, "Key not present",
-	0x6f, 2, "Key not established",
-	0x6f, 3, "Read without proper authentication",
-	0x6f, 4, "Mismatched region to this logical unit",
-	0x6f, 5, "Region reset count error",
-	0xffff, 0x0, NULL
+	{ 0x81, 0, "Logical Unit is Reserved" },
+	{ 0x85, 0, "Audio Address Not Valid" },
+	{ 0xb6, 0, "Media Load Mechanism Failed" },
+	{ 0xB9, 0, "Audio Play Operation Aborted" },
+	{ 0xbf, 0, "Buffer Overflow for Read All Subcodes Command" },
+	{ 0x53, 2, "Medium removal prevented" },
+	{ 0x6f, 0, "Authentication failed during key exchange" },
+	{ 0x6f, 1, "Key not present" },
+	{ 0x6f, 2, "Key not established" },
+	{ 0x6f, 3, "Read without proper authentication" },
+	{ 0x6f, 4, "Mismatched region to this logical unit" },
+	{ 0x6f, 5, "Region reset count error" },
+	{ 0xffff, 0x0, NULL }
 };
 
 
